# Repeating Mod (Fabric)

This mod can record your movements and play them back.

## How to use

Simply start recording, perform any actions, stop the recording, return to the starting point, and then you can replay everything you did.

### Showcase

![Preview gif](img/preview.gif)

This is how menu looks like:

![repeating mod menu](img/menu.png)


### Controls

Default Repeating Mod keys

```
Menu              |  J            
Toggle recording  |  not specified by default
Toggle replay     |  not specified by default
```

## Where to download

### Stable releases

You can find stable releases on [Modrinth](https://modrinth.com/mod/repeating-mod/versions) or on [Releases page](https://git.meex.lol/MeexReay/repeating_mod/releases)

### Development artifacts

Artifacts are automatically built with [Gitea Actions](https://git.meex.lol/MeexReay/repeating_mod/actions) on each commit. \
[Download latest artifact](https://git.meex.lol/MeexReay/repeating_mod/actions/runs/latest/artifacts/build)

## Roadmap

- [ ] relative mode for repeating actions (like mining)
- [ ] record mouse and keyboard in gui
- [ ] practice mode (like in geometry dash but for parkours)

### Contributing

If you would like to contribute to the project, feel free to fork the repository and submit a pull request.

### License
This project is licensed under the WTFPL License
