package ru.themixray.repeating_mod.mixin;

import net.minecraft.network.ClientConnection;
import net.minecraft.text.Text;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import ru.themixray.repeating_mod.Main;

@Mixin(ClientConnection.class)
public abstract class PlayerMixin {
    @Inject(at = @At(value = "HEAD"), method = "disconnect")
    private void disconnect(Text disconnectReason, CallbackInfo ci) {
        if (Main.me.is_replaying) {
            Main.me.stopReplay();
        }
    }
}
